Subject: bug#33871: 27.0.50; Revert Dired window saved in window configuration

From: Juri Linkov <[email-masked]>
Date: Sun, 20 Feb 2022 20:40:04 +0200

>> I don't understand the problem.  'dired-goto-file' can go to the file
>> even after a directory gets reverted.
>
> How would 'save-window-excursion' handle the case of a dired buffer that
> gets reverted while its FORMS are run?

'dired-goto-file' will restore dired-positions after 'save-window-excursion'.